#!/usr/bin/python

QFC_HELP = {}

QFC_HELP["help"] = \
"""QPACE front-end client v0.08.0 / 20110510 Nils Meyer, Stefan Solbrig, Matthias Huesken

usage: qc [options] <mode> <target> <action> [parameters]

options:         -h, --help          these lines
                 -g, --grep          prefix output lines with key identifier
                 -s, --short         shorten output at cost of readability,
                                     implies option --grep

qc quick command reference:

    MODE   TARGET        ACTION   A  P    DESCRIPTION
                                 
    get    node  <list>  status   +  -    retrieve status
     .      .      .     config   +  -    retrieve configuration
     .      .      .     version  +  -    retrieve images versions
     .      .      .     serial   +  -    retrieve serial number
     .      .      .     temp     +  -    retrieve temperature
     .      .      .     mac      -  -    retrieve mac address
     .      .      .     dump     +  -    retrieve fir dump
     .      .      .     vpd      -  2    read data from vpd 
     .     psu   <list>  status   +  -    retrieve status
    set    node  <list>  clock    +  1    set local or global clock
     .      .      .     vpd      -  2+   write to vpd
     .      .      .     mac      -  -/6  set mac address
    power  node  <list>  off      +  -    power-off via service processor
     .      .      .     on       +  -    power-on via service processor
     .      .      .     cycle    +  -    power-cycle via service processor
     .      .      .     sp       +  -    power-cycle service processor
     .      .      .     noboot   +  -    power-on card without booting via serv. proc.
     .      .      .     reboot   +  -    power-cycle via linux 'reboot'
     .      .      .     halt     +  -    power-down via linux 'halt'
     .      .      .     reset    +  -    reset card via reset lines
     .      .      .     probe    +  -    test login via ssh
     .      .      .     magic    +  -    try to boot into linux automatically
     .      .      .     woof     +  -    like magic, but with extra `woof`: do a link stress, too
     .     psu   <list>  off      +  -    power-off
     .      .      .     on       +  -    power-on
    clear  node  <list>  states   +  -    clear states
    flash  node  <list>  linux    +  1    flash fpga/slof via scp to /proc/rtas
     .      .      .     fpga     +  1    flash fpga via root-card
     .      .      .     slof     +  1    flash slof via root-card
     .      .      .     sp       +  1    flash service processor via root-card

key: A  (+) supports auto completion, (-) must provide all mode, target and action
     P  (-) no parameters, (n) n parameters, (n+) at least n parameters

     target <list>  backplane-centric assignment of targets
                      e.g. node 0,1,5-7:0-7,31  nodes 0-7 and 31 at backplanes 0,1 and 5-7
                           node 0-7             all nodes at backplanes 0-7
                           psu  0,5:0           psu 0 at backplanes 0 and 5
                           psu  0-7             all psus at backplanes 0-7
                    rack-centric assignment of targets
                      e.g. node r0-3:5:0        node 0 at backplane 5 in all racks
                    assign multiple lists by '+'
                      e.g. node r0+8            all nodes backplane 0-8

     NOTE: sensible node range is 0-31, sensible psu range is 0-2
           there are currently no boundary checks!
"""

